Bug 345161 - [EL5][BUG] Unexpected SIGILL on NFS/Montecito(ia64)
[EL5][BUG] Unexpected SIGILL on NFS/Montecito(ia64)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
ia64 Linux
urgent Severity high
: ---
: ---
Assigned To: Anton Arapov
Martin Jenner
: ZStream
Depends On: 253356
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-22 09:11 EDT by RHEL Product and Program Management
Modified: 2014-06-18 04:00 EDT (History)
7 users (show)

See Also:
Fixed In Version: RHSA-2007-0993
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-29 09:47:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2007-10-22 09:11:33 EDT
This bug has been copied from bug #253356 and has been proposed
to be backported to 5.1 z-stream (EUS).
Comment 2 Luming Yu 2007-10-23 10:48:22 EDT
The backport patch for bug# 253356 has been posted and ACKed.
Do I need to post again for this bz? Or I just need to change the status to POST
to reflect the right status?
Comment 3 Anton Arapov 2007-10-23 10:59:48 EDT
No, you should not do anything here. :) Thanks for your job.
Comment 4 Anton Arapov 2007-10-24 16:55:00 EDT
A patch for this issue has been included in build 2.6.18-53.1.2
Comment 9 Mike Gahagan 2007-11-27 13:56:29 EST
I just ran the test script on hp-merlion-01.rhts.boston.redhat.com using a RHEL
4 i386 box for the nfs server. With the -53 kernel I was able to reproduce the
problem. I've since tried 3 runs with the 53.1.4 kernel and the system seems to
be holding up well, no softlockups or anything else suspicious in the logs.
Comment 10 Mike Gahagan 2007-11-27 15:52:18 EST
No errors or softlockups after a fourth run. Suspect we might have another bug
here somewhere that either happens very rarely or the softlockup has some other
cause.

I'm going to go ahead and set this one to verified.
Comment 11 Luming Yu 2007-11-27 21:42:28 EST
Re comment#9:
what is you test case? Sounds like this is another problem.
Because the bug seems to just affect the process whose code segment is on nfs
server. The patch is to sync cache .., So I don't see how it could cause system
hang.  But I will run some testing for sure. 

Comment 14 errata-xmlrpc 2007-11-29 09:47:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0993.html

Note You need to log in before you can comment on or make changes to this bug.